package com.huatek.busi.mapper.cable;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.cable.BusiCableCirculationCacheDto;
import com.huatek.busi.entity.BusiCableCirculationCache;
import com.huatek.busi.entity.EquipmentSensor;
import com.huatek.busi.entity.EquipmentTemperatureCache;
import com.huatek.busi.vo.SensiorIdExportVo;
import com.huatek.busi.vo.cable.BusiCableCirculationCacheVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Bobi_huo
 * @date 2020-11-24 13:16
 */
@Repository
public interface EquipmentTemperatureCacheMapper {



    EquipmentTemperatureCache findByTreeId(@Param("sensorId") String sensorId);

    int addSensor(EquipmentTemperatureCache equipmentTemperatureCache);

    int updateSensor(EquipmentTemperatureCache findSensorCode);


    List<EquipmentTemperatureCache> findEquipmentList();


    void addSensorVo(EquipmentTemperatureCache equipmentTemperatureCache);

    void updateSensorVo(EquipmentTemperatureCache equipmentTemperatureCache);

    void addEntity(EquipmentTemperatureCache addEntity);

    void deleteEntity(String sensorCacheId);

    List<EquipmentSensor> findEquipmentVoList();


    List<EquipmentTemperatureCache> selectSumTransformerSensorInfo(@Param("type")String type);
}
